Management Group Subscriptions - Create
Associates existing subscription with the management group.
PUT https://management.azure.com/providers/Microsoft.Management/managementGroups/{groupId}/subscriptions/{subscriptionId}?api-version=2020-05-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
group
|
path | True |
string |
Management Group ID. |
|
subscription
|
path | True |
string |
Subscription ID. |
|
api-version
|
query | True |
string |
Version of the API to be used with the client request. The current version is 2018-01-01-preview. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Cache-Control |
string |
Indicates that the request shouldn't utilize any caches. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| Other Status Codes |
Error |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
AddSubscriptionToManagementGroup
Sample request
PUT https://management.azure.com/providers/Microsoft.Management/managementGroups/Group/subscriptions/728bcbe4-8d56-4510-86c2-4921b8beefbc?api-version=2020-05-01
Sample response
{
"name": "728bcbe4-8d56-4510-86c2-4921b8beefbc",
"id": " /providers/Microsoft.Management/managementGroups/Group/subscriptions/728bcbe4-8d56-4510-86c2-4921b8beefbc",
"type": "Microsoft.Management/managementGroups/subscriptions",
"properties": {
"displayName": "Group",
"parent": {
"id": "/providers/Microsoft.Management/managementGroups/Group"
},
"state": "Active",
"tenant": "e751ac82-623b-4913-8d74-22637c832373"
}
}
Definitions
| Name | Description |
|---|---|
|
Descendant |
The ID of the parent management group. |
|
Error |
The details of the error. |
|
Error |
The error object. |
|
Subscription |
The details of subscription under management group. |
DescendantParentGroupInfo
The ID of the parent management group.
| Name | Type | Description |
|---|---|---|
| id |
string |
The fully qualified ID for the parent management group. For example, /providers/Microsoft.Management/managementGroups/0000000-0000-0000-0000-000000000000 |
ErrorDetails
The details of the error.
| Name | Type | Description |
|---|---|---|
| code |
string |
One of a server-defined set of error codes. |
| details |
string |
A human-readable representation of the error's details. |
| message |
string |
A human-readable representation of the error. |
ErrorResponse
The error object.
| Name | Type | Description |
|---|---|---|
| error |
Error |
SubscriptionUnderManagementGroup
The details of subscription under management group.
| Name | Type | Description |
|---|---|---|
| id |
string |
The fully qualified ID for the subscription. For example, /providers/Microsoft.Management/managementGroups/0000000-0000-0000-0000-000000000000/subscriptions/0000000-0000-0000-0000-000000000001 |
| name |
string |
The stringified id of the subscription. For example, 00000000-0000-0000-0000-000000000000 |
| properties.displayName |
string |
The friendly name of the subscription. |
| properties.parent |
Parent |
|
| properties.state |
string |
The state of the subscription. |
| properties.tenant |
string |
The AAD Tenant ID associated with the subscription. For example, 00000000-0000-0000-0000-000000000000 |
| type |
string |
The type of the resource. For example, Microsoft.Management/managementGroups/subscriptions |